<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/libyuv</a></li>
<li><a href="#id1">/OpenSSL</a></li>
<li><a href="#id2">/zlib</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/libyuv <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright 2012 The LibYuv Project Authors. All rights reserved.
Copyright 2015 The LibYuv Project Authors. All rights reserved.
Copyright 2013 The LibYuv Project Authors. All rights reserved.
Copyright 2011 The LibYuv Project Authors. All rights reserved.
Copyright 2016 The LibYuv Project Authors. All rights reserved.
Copyright 2014 The LibYuv Project Authors. All rights reserved.
Copyright (c) 2012 The LibYuv project authors. All Rights Reserved.


﻿Copyright 2011 The LibYuv Project Authors. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

  * Neither the name of Google nor the names of its contributors may
    be used to endorse or promote products derived from this software
    without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/OpenSSL <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright 2016 VMS Software, Inc. All Rights Reserved.
Copyright (c) 2004 The OpenSSL Project.  All rights reserved.
openssl&ndash;core@openssl.org.
Written by Dr Stephen N Henson (steve@openssl.org) for the OpenSSL project
This section will be overwritten by the next run of Configurator.
Author: 	Roy Wood
Copyright (c) 1998&ndash;1999 The OpenSSL Project.  All rights reserved.
This product includes cryptographic software written by Eric Young
(eay@cryptsoft.com).  This product includes software written by Tim
Hudson (tjh@cryptsoft.com).
&ndash;Roy Wood (roy@centricsystems.ca)
Written by Matt Caswell for the OpenSSL Project */
Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.
Tunala (&quot;Tunneler with a New Zealand accent&quot;) Written by Geoff Thorpe, but endorsed/supported by noone. Please use this is if it&prime;s useful or
Copyright (c) 2000 The OpenSSL Project.  All rights reserved.
30.9.1996, Sampo Kellomaki &lt;sampo@iki.fi&gt;
Copyright (c) 2001&ndash;2002 The OpenSSL Project.  All rights reserved.
Written by Stephen henson (steve@openssl.org) for the OpenSSL project
Copyright 2014 Intel Corporation
Developers and authors: Shay Gueron (1, 2), and Vlad Krasnov (1)
Copyright (c) 2004, Richard Levitte &lt;richard@levitte.org&gt;
Copyright (c) 2007 The OpenSSL Project.  All rights reserved.
Written by Matt Caswell for the OpenSSL project.
Copyright (c) 2011 The OpenSSL Project.  All rights reserved.
licensing@OpenSSL.org.
Copyright (c) 2000&ndash;2002 The OpenSSL Project.  All rights reserved.
Copyright (c) 2006 The OpenSSL Project.  All rights reserved.
Copyright (c) 2003 The OpenSSL Project.  All rights reserved.
Copyright (c) 2001 The OpenSSL Project.  All rights reserved.
Copyright (c) 2002 Bob Beck &lt;beck@openbsd.org&gt;
Copyright (c) 2002 Theo de Raadt
Copyright (c) 2002 Markus Friedl
This software was written by Leonard Janke (janke@unixg.ubc.ca)
Written by Ben Laurie, 2001 */
Copyright (c) 2011&ndash;2013 The OpenSSL Project.  All rights reserved.
Copyright (c) 2001&ndash;2011 The OpenSSL Project.  All rights reserved.
Copyright (c) 2014, Google Inc.
cryptodesCOPYRIGHT**************************************
Copyright (c) 2007 KISA(Korea Information Security Agency). All rights reserved.
Copyright (c) 1998&ndash;2001 The OpenSSL Project.  All rights reserved.
Copyright (c) 1999 The OpenSSL Project.  All rights reserved.
cryptobfCOPYRIGHT**************************************
Copyright (c) 2010 The OpenSSL Project.  All rights reserved.
Copyright (c) 2008 The OpenSSL Project. All rights reserved.
Copyright (c) 2008 The OpenSSL Project.  All rights reserved.
&lt;a href=&quot;mailto:pbarreto@scopus.com.br&quot;&gt;Paulo S. L. M. Barreto&lt;/a&gt; and &lt;a href=&quot;mailto:vincent.rijmen@cryptomathic.com&quot;&gt;Vincent Rijmen&lt;/a&gt;.
Copyright (c) 2005 The OpenSSL Project.  All rights reserved.
Copyright (c) 2012, Intel Corporation
Copyright (c) 2001&ndash;2008 The OpenSSL Project.  All rights reserved.
Written by Corinne Dive&ndash;Reclus(cdive@baltimore.com)
Copyright@2001 Baltimore Technologies Ltd.
This file is Copyright 1998&ndash;2000 nCipher Corporation Limited.
Copyright 2000 Broadcom Corporation
Written by Michal Ludvig &lt;michal@logix.cz&gt;
Author: Maurice Gittens &lt;maurice@gittens.nl&gt;                       */
Copyright (c) 2005&ndash;2006 Cryptocom LTD
Copyright (c) 2001&ndash;2005 The OpenSSL Project.  All rights reserved.


﻿  LICENSE ISSUES
  ==============

  The OpenSSL toolkit stays under a dual license, i.e. both the conditions of
  the OpenSSL License and the original SSLeay license apply to the toolkit.
  See below for the actual license texts. Actually both licenses are BSD&ndash;style
  Open Source licenses. In case of any license issues related to OpenSSL
  please contact openssl&ndash;core@openssl.org.

  OpenSSL License
  &ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;

/* ====================================================================
 * Copyright (c) 1998&ndash;2016 The OpenSSL Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    &quot;This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)&quot;
 *
 * 4. The names &quot;OpenSSL Toolkit&quot; and &quot;OpenSSL Project&quot; must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    openssl&ndash;core@openssl.org.
 *
 * 5. Products derived from this software may not be called &quot;OpenSSL&quot;
 *    nor may &quot;OpenSSL&quot; appear in their names without prior written
 *    permission of the OpenSSL Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    &quot;This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit (http://www.openssl.org/)&quot;
 *
 * THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS&prime;&prime; AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

 Original SSLeay License
 &ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;

/* Copyright (C) 1995&ndash;1998 Eric Young (eay@cryptsoft.com)
 * All rights reserved.
 *
 * This package is an SSL implementation written
 * by Eric Young (eay@cryptsoft.com).
 * The implementation was written so as to conform with Netscapes SSL.
 * 
 * This library is free for commercial and non&ndash;commercial use as long as
 * the following conditions are aheared to.  The following conditions
 * apply to all code found in this distribution, be it the RC4, RSA,
 * lhash, DES, etc., code; not just the SSL code.  The SSL documentation
 * included with this distribution is covered by the same copyright terms
 * except that the holder is Tim Hudson (tjh@cryptsoft.com).
 * 
 * Copyright remains Eric Young&prime;s, and as such any Copyright notices in
 * the code are not to be removed.
 * If this package is used in a product, Eric Young should be given attribution
 * as the author of the parts of the library used.
 * This can be in the form of a textual message at program startup or
 * in documentation (online or textual) provided with the package.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *    &quot;This product includes cryptographic software written by
 *     Eric Young (eay@cryptsoft.com)&quot;
 *    The word &prime;cryptographic&prime; can be left out if the rouines from the library
 *    being used are not cryptographic related :&ndash;).
 * 4. If you include any Windows specific code (or a derivative thereof) from 
 *    the apps directory (application code) you must include an acknowledgement:
 *    &quot;This product includes software written by Tim Hudson (tjh@cryptsoft.com)&quot;
 * 
 * THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS&prime;&prime; AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * 
 * The licence and distribution terms for any publically available version or
 * derivative of this code cannot be changed.  i.e. this code cannot simply be
 * copied and put under another distribution licence
 * [including the GNU Public Licence.]
 */


</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/zlib <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright (C) 1995&ndash;2005 Jean&ndash;loup Gailly.
Copyright (C) 1995&ndash;2004 Mark Adler
Copyright (C) 1995&ndash;2005 Mark Adler
Copyright (C) 1995&ndash;2003 Jean&ndash;loup Gailly.
Copyright (C) 1995&ndash;2005 Jean&ndash;loup Gailly
Copyright (C) 1995&ndash;2004 Jean&ndash;loup Gailly
Thanks to Rodney Brown &lt;rbrown64@csc.com.au&gt; for his contribution of faster
Copyright (C) 1995&ndash;2003 Mark Adler


﻿Copyright (c) &lt;year&gt; &lt;copyright holders&gt;

This software is provided &prime;as&ndash;is&prime;, without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software
in a product, an acknowledgment in the product documentation would be
appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.

3. This notice may not be removed or altered from any source
distribution.

</pre><!-- license-text -->
</td></tr><!-- same-license -->



</table>
</body></html>
